VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::OperationInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::OperationInfo:

## Avaliable Methods
public method | set_schemes ()
public method | new ()
public method | get_schemes ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::OperationInfo` class contains authentication information of an operation element.

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::OperationInfo::get_schemes | ( |  | ) |

Gets the value of 'schemes' property.

Return values

  schemes | - The current value of the field. List of authentication schemes used by an operation element. The authentication scheme specified on the service element corresponding to this operation element is ignored. List#

Code:
click to view
# Number of lines of code in get_schemes: 4
sub get_schemes {
my ($self, %args) = @_;
return $self->{'schemes'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::OperationInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::OperationInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 16
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{schemes} = $args{'schemes'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::OperationInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.authentication.operation_info');
$self->set_binding_field('key' => 'schemes', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'AuthenticationInfo')));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Authentication::OperationInfo::set_schemes | ( |  | ) |

Sets the given value for 'schemes' property.

Parameters

  schemes | - New value for the field. List of authentication schemes used by an operation element. The authentication scheme specified on the service element corresponding to this operation element is ignored.

Code:
click to view
# Number of lines of code in set_schemes: 5
sub set_schemes {
my ($self, %args) = @_;
$self->{'schemes'} = $args{'schemes'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/OperationInfo.pm